Bulk Update Components
curl --request POST \
--url https://api.draftt.io/v1/component/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": {
"filter": {
"technology": {
"$eq": "k8s"
}
}
},
"payload": {
"customTags": {
"Environment": "production",
"Team": "backend",
"CostCenter": null
}
}
}
'import requests
url = "https://api.draftt.io/v1/component/update"
payload = {
"query": { "filter": { "technology": { "$eq": "k8s" } } },
"payload": { "customTags": {
"Environment": "production",
"Team": "backend",
"CostCenter": None
} }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: {filter: {technology: {$eq: 'k8s'}}},
payload: {customTags: {Environment: 'production', Team: 'backend', CostCenter: null}}
})
};
fetch('https://api.draftt.io/v1/component/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}{
"error": {
"message": "<string>"
}
}Component
Bulk Update Components
POST
/
component
/
update
Bulk Update Components
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Examples:
{
"pageSize": 20,
"filter": {
"technology": { "$eq": "k8s" },
"region": { "$eq": "us-east-1" }
}
}
{
"filter": {
"type": { "$eq": "rds-postgres" },
"version": { "$like": "14.*" }
}
}
Show child attributes
Show child attributes
Example:
{
"customTags": {
"Environment": "production",
"Team": "backend",
"CostCenter": null
}
}
Response
No Content - Update successful
⌘I